summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorGlenn Glazer <coyot@lindenlab.com>2017-03-29 16:42:22 -0700
committerGlenn Glazer <coyot@lindenlab.com>2017-03-29 16:42:22 -0700
commitd07751e8de8f9d137db07d62b64e6cf22cfaab7b (patch)
tree7c146edff18f36276e7c816f068ab5f641c43275 /build.sh
parent71ffed27c77e787cafe04ddf19df27495255cae5 (diff)
add version string to ct2 results
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 9ca130b5d5..515b50670f 100755
--- a/build.sh
+++ b/build.sh
@@ -273,6 +273,13 @@ do
else
record_event "no autobuild metadata at '$build_dir/autobuild-package.xml'"
fi
+ if [ -r "$build_dir/newview/viewer_version.txt" ]
+ then
+ begin_section "Viewer Version"
+ python_cmd "$helpers/codeticket.py" addoutput "Viewer Version" "$build_dir/newview/viewer_version.txt" --mimetype text/plain \
+ || fatal "Upload of viewer version failed"
+ end_section "Viewer Version"
+ fi
;;
Doxygen)
if [ -r "$build_dir/doxygen_warnings.log" ]